%global momorel 3

%define kernel %(rpm -q kernel-devel --qf '%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}.%{ARCH}\\n' 2>/dev/null | head -1)

%define		svndate		2008.09.03
%define		svnrev		114782

Name:		open-vm-tools
Version:	0
Release:	0.%{svndate}.%{momorel}m%{?dist}
Summary:	Open Virtual Machine Tools

Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{svndate}-%{svnrev}.tar.gz
NoSource:	0
Source1:	tools.conf
Source2:	xautostart.conf
Source3:	vmware-guestd.pam
Source4:	%{name}.init
Source5:	%{name}.sysconfig
Source6:	open-vm-tools-docs.html
Source7:	open-vm-tools-docs.txt
Source8:	xorg.conf
Source9:	vmxnet
Source10:	procps-headers.tar.gz
Source11:	vmware-user.desktop

Group:		System Environment/Daemons
License:	LGPLv2
URL:		http://open-vm-tools.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel

BuildRequires:	libXinerama-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXext-devel
BuildRequires:	libXtst-devel
BuildRequires:  libicu-devel
BuildRequires:  libdnet-devel
BuildRequires:  liburiparser-devel
BuildRequires:  procps
BuildRequires:  kernel-devel
Requires:	pam

%description
The Open Virtual Machine Tools (open-vm-tools) are the open source
implementation of VMware Tools. They are a set of guest operating system
virtualization components that enhance performance and user experience of
virtual machines.

%package	gtk
Summary:	Open Virtual Machine Tools common package
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description gtk
The Open Virtual Machine Tools (open-vm-tools) are the open source
implementation of VMware Tools. They are a set of guest operating system
virtualization components that enhance performance and user experience of
virtual machines.

%prep
%setup -q -n %{name}-%{svndate}-%{svnrev}
cp -a %{SOURCE6} .
cp -a %{SOURCE7} .
cp -a %{SOURCE8} .
(cd lib/include; %{__tar} xvzf %{SOURCE10})

#use included procps headers in lib/include from SOURCE10
perl -p -i -e 's,PROCPS_CPPFLAGS="-I/usr/include",PROCPS_CPPFLAGS="-I/usr/include -Ilib/include",g' configure

%build
export CFLAGS=-O2
%{configure} --with-kernel-release="%{kernel}"

#remove treat warning as error in this directory
%{__perl} -p -i -e 's, -Werror , ,g' lib/guestInfo/Makefile

%{__make} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

# Common
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/vmware-tools/
install -D -m0755 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/vmxnet

# GuestD
pushd guestd
install -D -m0755 vmware-guestd $RPM_BUILD_ROOT%{_sbindir}/vmware-guestd
install -D -m0600 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/vmware-tools/tools.conf
install -D -m0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/vmware-guestd
install -D -m0755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
install -D -m0644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
popd

# User
pushd vmware-user
install -D -m0600 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/vmware-tools/xautostart.conf
install -D -m0755 vmware-user $RPM_BUILD_ROOT%{_bindir}/vmware-user
install -D -m0644 %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/vmware-user.desktop
popd

pushd vmware-user-suid-wrapper
install -D -m0755 vmware-user-suid-wrapper $RPM_BUILD_ROOT%{_bindir}/vmware-user-suid-wrapper
popd

# toolbox
pushd toolbox
install -D -m0755 vmware-toolbox $RPM_BUILD_ROOT%{_bindir}/vmware-toolbox
popd

# checkvm
pushd checkvm
install -D -m0755 vmware-checkvm $RPM_BUILD_ROOT%{_sbindir}/vmware-checkvm
popd

# xferlogs
pushd xferlogs
install -D -m0755 vmware-xferlogs $RPM_BUILD_ROOT%{_bindir}/vmware-xferlogs
popd

# hgfsmounter
pushd hgfsmounter
# set the suid bit
install -D -m4755 mount.vmhgfs $RPM_BUILD_ROOT/sbin/mount.vmhgfs
popd

# hgfsclient
pushd hgfsclient
install -D -m0755 vmware-hgfsclient $RPM_BUILD_ROOT%{_bindir}/vmware-hgfsclient
popd

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add open-vm-tools
/sbin/ldconfig

%postun -p /sbin/ldconfig

%preun
if [ "$1" = 0 ]
then
        /sbin/service open-vm-tools stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del open-vm-tools
fi

%files
%defattr(-,root,root,-)
%{_sysconfdir}/modprobe.d/vmxnet

# GuestD
%{_sbindir}/vmware-guestd
%{_sysconfdir}/pam.d/vmware-guestd
%{_sysconfdir}/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}

# checkvm
%{_sbindir}/vmware-checkvm

# xferlogs
%{_bindir}/vmware-xferlogs

# hgfsmounter
/sbin/mount.vmhgfs

# hgfsclient
%{_bindir}/vmware-hgfsclient

#common
%dir %{_sysconfdir}/vmware-tools/
%doc  open-vm-tools-docs.html open-vm-tools-docs.txt COPYING ChangeLog README xorg.conf

%files gtk
%defattr(-,root,root,-)
# User
%config(noreplace) %{_sysconfdir}/vmware-tools/xautostart.conf
%config(noreplace) %{_sysconfdir}/vmware-tools/tools.conf
%{_bindir}/vmware-user
%{_bindir}/vmware-user-suid-wrapper
%{_sysconfdir}/xdg/autostart/vmware-user.desktop

# toolbox
%{_bindir}/vmware-toolbox

%changelog
* Tue Sep 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2008.09.03.3m)
- add BuildRequires:  kernel-devel

* Sun Sep 28 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.2008.09.03.2m)
- fix build for chroot

* Sun Sep 14 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.2008.09.03.1m)
- based open-vm-tools-2008.09.03-114782.tar.gz
- initial import for Momonga

* Sat Jun 28 2008 Johnny Hughes <johnny@centos.org> - 0.0.2008.6.20
- upgraded to upstream version open-vm-tools-2008.06.20-100027.tar.gz
- eliminated the open-vm-tools-common package and rolled those files
  into open-vm-tools

* Sat May 31 2008  Johnny Hughes <johnny@centos.org> - 0.0.2008.05.15 
- upgraded to upstream version open-vm-tools-2008.05.15-93241.tar.gz
- added vmware-user.desktop

* Sat May 10 2008 Johnny Hughes <johnny@centos.org> - 0.0.2008.05.02
- updated to upstream version open-vm-tools-2008.05.02-90473.tar.gz
- added a perl search to use the included procps headers
- added a perl search to disable treat warnings as errors for gcc in
  lib/guestInfo/
- used the --without-procps and --without-icu options for centos-4

* Mon Mar 31 2008 Johnny Hughes <johnny@centos.org> - 0.0.2008.03.19
- updated to upstream version open-vm-tools-2008.03.19-82724.tar.gz
- added /etc/modprobe.d/vmxnet for CentOS-5
- added --without-dnet to the configure line

* Thu Feb  7 2008 Johnny Hughes <johnny@centos.org> - 0.0.2008.01.23
- upgraded to upstream version open-vm-tools-2008.01.23-74039.tar.gz
- added an xorg.conf file that works properly for CentOS-4 or CentOS-5 clients
 
* Sat Dec 29 2007 Johnny Hughes <johnny@centos.org> - 0.0.2007.11.21 
- upgraded to upstream version open-vm-tools-2007.11.21-64693.tar.gz
- added building and install for xferlogs
- modified to build on CentOS-4 and CentOS-5
- added COPYING, README, ChangeLog, Source6, Source7 to docs

* Tue Oct 30 2007 Sean Dilda <sean@duke.edu> - 0.0.2007.10.08.2
- Modify init script to only run on VMs (as determined by vmware-checkvm)

* Fri Oct 26 2007 Sean Dilda <sean@duke.edu> - 0-0.2007.10.08.1
- Split off a -gtk package with all the X deps
- Add BR for gtk2-devel
- Change require from open-vm-tools-kmods to open-vm-tools-kmod
- Update init script - use sysconfig file to know what modules to load
- Update init script - unload loaded modules on stop
- Make vmware-guestd executable
- Add init script in %post


* Wed Oct 10 2007 Brandon Holbrook <fedora at theholbrooks.org> - 0-0.1.2007.10.08
- Bump version
- Fix missing BR

* Wed Sep 12 2007 Brandon Holbrook <fedora at theholbrooks.org> - 0-0.1.2007.09.04
- Initial Build

